Package Details: pnpm-bin 7.26.1-1

Git Clone URL: https://aur.archlinux.org/pnpm-bin.git (read-only, click to copy)
Package Base: pnpm-bin
Description: Fast, disk space efficient package manager
Upstream URL: https://github.com/pnpm/pnpm
Keywords: manager node package
Licenses: MIT License
Conflicts: pnpm, pnpm-git
Provides: pnpm
Submitter: jonian
Maintainer: jonian
Last Packager: jonian
Votes: 13
Popularity: 1.10
First Submitted: 2021-09-21 23:36 (UTC)
Last Updated: 2023-01-28 08:34 (UTC)

Dependencies (0)

Required by (22)

Sources (1)

Latest Comments

yochananmarqos commented on 2022-10-09 20:50 (UTC)

@jonian: I apologize for assuming you did a blind version bump. I'm straightforward and blunt by nature. No offense was intended.

jonian commented on 2022-10-09 20:43 (UTC)

@yochananmarqos: node-gyp is an optional dependency, it wasn't a blind version bump, I checked the release notes and tested it before pushing. Also try to be more polite. I didn't like your tone. Thanks.

yochananmarqos commented on 2022-10-09 20:30 (UTC)

@jonian: Blind version bumps don't cut it. Check the package.json, it now requires node-gyp 9.2.0. It hasn't been updated yet.

tarball commented on 2022-07-28 05:59 (UTC)

Could you add support for aarch64?

arch=("x86_64" "aarch64")

source_x86_64=("pnpm-$pkgver-x86_64::$url/releases/download/v${pkgver}/pnpm-linux-x64")
source_aarch64=("pnpm-$pkgver-aarch64::$url/releases/download/v${pkgver}/pnpm-linux-arm64")

sha256sums_x86_64=('04c8c14d12ed354687048fb85c01c25e85f57fed8102698e9150f7c300baa2e8')
sha256sums_aarch64=('92002a4c4527a5c91bd443bb87cfc4b5c39d7c2c7dbff5cc2024a18e772f46d3')

and remove source=() and sha256sums=().

sebstar commented on 2022-07-25 17:45 (UTC)

You can compress the three lines of your package() script to just

  install -D "$srcdir/pnpm-$pkgver" "$pkgdir/usr/bin/pnpm"

That's what install is for.

Shinigami92 commented on 2021-10-27 19:47 (UTC)

Will this get updated soon?